/* Student Bio */
/* 
    Nama :  Reza Izzan Fadhila

    "Masih kurang responsive di 2/3 device yg bisa dicoba di google inspect, Karena dari awal membuat mengandalkan css 
    dan karena belum paham framework bootstrap dan waktu challenge udah mepet"

*/
*{
    margin: 0px 0px;
    padding: 0;
    text-decoration: none;
}

html{
    scroll-behavior: smooth;
}

.full-screen{
    width: 100%;
    min-height: 100vh;
}


.full-width{
    width: 100%;
}

/* HEADER and TOP NAVIGATION Things */
.wrap-nav{
    background: rgba(0, 0, 0, 0.5);
    position: fixed;
    width: 100%;
    z-index: 5;
}
.nav{
    height: auto;
    width: 85%;
}
.nav-item{
    text-decoration: none;
}
.nav-item a{
    color: white;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 1.1rem;
    line-height: 80px;
    padding-left: 1rem;
    padding-right: 1rem;
    text-decoration: none;
    white-space: nowrap;
}
.nav-item a:hover{
    color: #F3AF34 !important;
    cursor: pointer;
}

#logo{
    font-weight: bold;
    letter-spacing: 5px;
}

/* Section 1 */
.section-1{
    background-image: url('../assets/main-bg.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}
.section-1 > div{
    background: radial-gradient(189.96% 61.18% at 50% 38.82%, rgba(255, 181, 72, 0) 0%, rgba(52, 44, 29, 0.80319) 73.22%, #08090A 99.74%);
}

.section-1-item *{
    color: white;
    font-family: Arial, Helvetica, sans-serif;
    line-height: 80px;
    letter-spacing: 5px;
    text-align: center;
}
.section-1-item > h1{
    font-size: 4.3rem;
}
.section-1-item > h3{
    font-size: 1.3rem;
    font-weight: 100;
}
.section-1-item > a{
    background:linear-gradient(194.68deg, #FFB548 11.27%, #F3AF34 90.4%);
    border-radius: 5px;
    color: black;
    padding: 0px 50px;
    font-size: 1rem;
    font-weight: 600;
    line-height: 60px;
}

.section-1-item > a:hover{
    color: #fff !important;
    cursor: pointer;
    background: darkslategrey;
}

.the-story:hover{
    cursor: pointer;
}


.the-story{
    position: absolute;
    bottom: 20px;
}
.the-story img{
    max-width: 50px;
}
.the-story h2{
    font-size: 1.1rem;
    font-weight: 200;
    line-height: 30px
}

/* Section 2 */
.section-2{
    background-image: url('../assets/the-games-bg.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.section-2 > div{
    background: radial-gradient(136.03% 54.57% at 50% 48.04%, rgba(255, 255, 255, 0) 0%, rgba(0, 0, 0, 0) 60.63%, #080A0B 99.74%);
}

.section-2-title{
    margin-top: -10%;
    margin-left: 20%;
    letter-spacing: 3px;
    word-spacing: 3px;
}

.section-2-title > h1{
    font-size: 2.8rem;
}
.section-2-title > h2{
    font-size: 1.2rem;
}

.carousel-container{
    grid-template-columns: 35% 65% !important;
}
#carousel{
    max-width: 90%;
    height: auto;
}

.carousel-inner{
    margin-left: 10% !important;
    margin-right: 10% !important;
    width: auto !important;
}

.carousel-indicators button{
    height: 15px !important;
    width: 15px !important;
    border-radius: 100%;
}

/* Section 3 */
.section-3{
    background-image: url('../assets/features-bg.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;   
}

.section-3 > div{
    background: radial-gradient(51.1% 80.48% at 30.85% 53.65%, rgba(255, 255, 255, 0) 0%, rgba(0, 0, 0, 0) 19.2%, rgba(4, 5, 6, 0.520671) 47.48%, #080A0B 99.74%);
}

.section-3 *{
    font-family: Arial, Helvetica, sans-serif;
    color: white;
    font-weight: 200;
    line-height: 60px;
}

.section-3-item h1{
    font-size: 3rem;
}

/* Section 4 */
.section-4{
    background-image: url('../assets/requirements.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    box-shadow: inset 0 0 200px #000;
}

.section-4 > * {
    color: white;
    font-family: Arial, Helvetica, sans-serif;
}

.section-4 > div{
    background: radial-gradient(33.26% 45% at 64.32% 47.1%, rgba(255, 255, 255, 0) 20.36%, rgba(0, 0, 0, 0)40.22%, rgba(0,0,0,0.9) 120%);
}
.section-4 > div > h2{
    font-weight: 100;
    letter-spacing: 2px;
    line-height: 50px;
    margin-top: 10vh;
}

.req{
    font-size: 2.8rem;
    font-weight: 400;
    word-spacing: 5px;
    letter-spacing: 10px;
    margin-top: 10%;
}
.req-content{
    padding: 15px;
}
.req-content > h2{
    color: #FFB548;
    font-weight: 100;
    font-size: 1.5rem;
    letter-spacing: 3px;
}
table{
    margin-top: 1rem;
    border-collapse: collapse;
}

td{
    border: 1px solid rgba(255, 181, 72, 0.5);
}

/* Section 5 */
.section-5{
    background:url('../assets/bg image 5.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat; 
    
}

.top-score{
    color: #fff;
    grid-template-columns: 50% 50% !important;
}

.top-score-grid-1 *{
    line-height: 40px;
    margin-right: auto;
    padding-left: 5vw;
    padding-bottom: 15px;
}

.top-score-grid-1 > h1{
    font-size: 3.5rem;
    font-weight: 400;
    word-spacing: 5px;
    letter-spacing: 5px;
}

.top-score-grid-1 > h3{
    font-size: 1.5rem;
    font-weight: 100;
    letter-spacing: 2px;
    line-height: 50px;
    padding-right: 25%;
}

.top-score-grid-1 > a{
    background:linear-gradient(194.68deg, #FFB548 11.27%, #F3AF34 90.4%);
    border-radius: 5px;
    color: black !important;
    padding: 0px 80px;
    font-size: 1rem;
    font-weight: 600;
    line-height: 60px;
    margin-left: 5vw;
}

.top-score-grid-1 > a:hover{
    cursor: pointer;
    color: #fff !important;
    background: darkslategrey;
}

/* Section Newsletter */
.newsletter{
    background: #080A0B;
}

.news{
    width: 80%;
    grid-template-columns: 40% 60% !important;
}

.newsletter *{
    text-align: justify;
    color: white;
    font-size: 18px;
    z-index: 2;
}

.news-img{
    background: url('../assets/newsletter-img.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: absolute;
    top: 525vh;
    left: 10vw;
}

.news-img .skull{
    max-height: 61vh;
    margin-top: -5vh;
    width: auto;
    z-index: 1;
}

.news-content > h3{
    text-align: left;
    font-weight: 100;
    font-size: 1.3rem;
    letter-spacing: 3px;
    padding-bottom: 10px;
    width: 40%;
}

.news-content > h1{
    font-weight: 400;
    font-size: 3.5rem;
    letter-spacing: 5px;
    padding-bottom: 10px;
}
.news-content > p{
    padding-bottom: 10px;
}


.input-email > h5{
    font-size: 14px;
    font-weight: 200;
    line-height: 25px;
    margin: 0;
    padding-left: 10%;
    opacity: 0.6;
}
.input-email{
    background: rgba(255, 255, 255, 0.08);
    border-radius: 10px;
}



.input-email > input{
    background: none;
    border: none;
    color: #FFB548;
    padding-left: 10%;
    padding-bottom: 2%;
    width: 90%;
}
.input-email > input:focus-visible{
    outline: none;
}

.subs-btn{ align-self: center;}
.subs-btn > a{
    background:linear-gradient(194.68deg, #FFB548 11.27%, #F3AF34 90.4%);
    border-radius: 5px;
    color: black!important;
    display: inline-block;
    font-size: 1rem;
    font-weight: 600;
    margin-left: 1vw;
    padding: 20px 50px;
    text-align: center;
}

.subs-btn > a:hover{
    cursor: pointer;
    color: #fff !important;
    background: darkslategrey;
}


/* Foooter */
footer{
    background-color: #080A0B;
    width: 100%;
    min-width: 20vh;
    z-index: 5;
}

footer *{
    color: white;
}

.footer-link{
    display: flex;
    width: 80%;
    flex-direction: row;
    justify-content: flex-end;
}

.footer-link > nav{ 
    flex-wrap: wrap;
}

.footer-link > nav > a,object{
    font-size: 1rem;
    line-height: 40px;
    padding-left: 15px;
    padding-right: 15px;
    text-decoration: none;
}

.footer-link > nav a:hover, object:hover{
    color: #FFB548 !important;
    cursor: pointer;
}

.copyright{
    flex-direction: row;
    justify-content: flex-start;
}

.copyright > p{
    font-size: 0.8rem;
    font-weight: 200;
    opacity: 0.5;
}

.policy{
    flex-direction: row;
    justify-content: flex-end;
}

.policy > *{
    font-size: 1rem;
    font-weight: 200;
    padding-left: 15px;
    padding-right: 15px;
}

.policy > a:hover{
    color: #FFB548 !important;
    cursor: pointer;
}




/* Placeholder Color */
::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #FFB548;
    opacity: 0.8; /* Firefox */
  }
  
  :-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: #FFB548;
  }
  
  ::-ms-input-placeholder { /* Microsoft Edge */
    color: #FFB548;
  }


/* TEXT AND FONT */
.text-center{
    text-align: center;
}
.text-white{
    color: white;
}
.l-space-5{
    letter-spacing: 5px;
}


/* Grid loayout */
.display-grid-2{
    display: grid;
    grid-template-columns: 60% 40%;
}

/*  FLEX LAYOUT */
.center-flex{
    align-items: center;
    display: flex;
    justify-content: center;
}
.display-flex{
    display: flex;
}


.flex-dir-col{
    flex-direction: column;
}

.flex-grow-1{
    flex-grow: 1;
}

.flex-grow-3{
    flex-grow: 3;
}

.flex-grow-6{
    flex-grow: 6;
}


/* TIMELINE CSS */
.timeline{
    box-sizing: border-box;
    position: relative;
    max-width: 500px;
    margin: 0 auto;
    margin-left: 0px;
    margin-top: 20px;
}
.timeline *{
    box-sizing: border-box;
}

.timeline::after{
    content: " ";
    position: absolute;
    width: 3px;
    background-color: #FF9F55;
    top: 40px;
    bottom: 40%;
    margin-left: -12px;
}

.timeline-container{
    padding: 10px 40px;
    position: relative;
    background-color: inherit;
    width: 100%;
}

.timeline-container::after{
    content: " ";
    position: absolute;
    width: 16px;
    height: 16px;
    top: 30px;
    left: -18px;
    background-color: white;
    border: 2px solid #FF9F55;
    border-radius: 50%;
    z-index: 1;
}

.timeline-container-alt{
    padding: 10px 40px;
    position: relative;
    background-color: inherit;
    width: 100%;
}

.timeline-container-alt::after{
    content: " ";
    position: absolute;
    width: 16px;
    height: 16px;
    top: 30px;
    left: -18px;
    background: black;
    border: 2px solid #FF9F55;
    border-radius: 50%;
    z-index: 1;
}


.timeline-content {
    max-width: 400px;
}
.timeline-content a{
    font-size: 1.4rem !important;
    color: #FFB548 !important;
    letter-spacing: 3px; 
}
.timeline-content > p{
    line-height: 30px;
    font-size: 18px; 
    word-spacing: 4px;
}

/* =============== REVIEW CARD CSS ================== */
.card-review{
    background: rgb(107, 102, 102);
    border-radius: 12px;
    color: rgba(255, 255, 255, 0.8);
    max-width: 400px;
    height: auto;
    margin-top: 1vh;
}

.card1{
    margin-left: 15vh;
}

.card2{
    margin-left: -15vh;
}
  
  .head-card{
    display: flex;
    padding: 0 10px 10px 0;
  }

  .head-card > div > img{
    width:60px;
    height:60px;
    border-radius: 50px;

    box-shadow: 5px 5px  0px 2px rgba(255,181,72,0.75);
    -moz-box-shadow: 5px  5px 0px 2px rgba(255,181,72,0.75);
  }
  
  .head-card > h1{
    padding: 0 30px;
  }
  
  .body-card{
    padding: 5px 20px;
  }

  .card-bio > h2{
    font-weight: 200;
    color: #F3AF34;
  }




/* ===================== MEDIA QUERY ==================== */

@media only screen and (max-width: 320px) {
    footer a{
        font-size: 0.6rem !important;
    }

    .news-img{
        max-height: 50vh;
        top: 580vh !important;
    }
}

/* XS */
@media only screen and (max-width: 400px) {
    footer a{
        font-size: 0.6rem !important;
    }

    .news-img{
        top: 580vh !important;
    }
}

/* Small */
@media only screen and (max-width: 576px) {
    .nav-item a{
        font-size: 1rem;
        line-height: 40px;
        padding: 5px;
    }

    .section-1-item > h1{
        margin-top: 15%;
        font-size: 2.5rem;
        line-height: 3rem;
    }
    .section-1-item > h3{
        font-size: 0.9rem;
        line-height: 1.5rem;
    }
    .section-1-item > a{
        padding: 0px 30px;
        font-size: 0.8rem;
        font-weight: 400;
        line-height: 50px;
    }

    .carousel-container{
        grid-template-columns: 90% !important;
    }

    .section-3 > .display-grid-2{
        grid-template-columns: 10% 90%;
    }

    .section-3-item h1{
        font-size: 1.8rem;
    }
    .section-3-item h2{
        font-size: 1rem;
    }

    .section-4 > div > h2{
        font-size: 1rem;
    }

    .req{
        font-size: 1.8rem;
        letter-spacing: 4px;
    }

    .req-content > h2{
        font-size: 1.2rem;
        letter-spacing: 2px;
        padding-bottom: 1.5rem;
    }

    .req-content > p{
        font-size: 0.8rem;
    }
    
    .timeline-container{
        max-width: 90%;
        padding: 10px 0;
        padding-left: 20px;
    }

    .req-content{
        padding: 5px;
    }

    .news{
        margin-left: 10%;
        grid-template-columns: 90% !important;
    }
    .news-content > h3{
        font-size: 0.8rem;
        width: 100%;
    }
    
    .news-content > h1{
        font-size: 2rem;
    }
    
    .news-content > p{
        font-size: 0.7rem;
    }

    .subs-btn > a{
        padding: 10px 30px;
    }  

    footer{
        bottom: -570vh !important;
    }

    .footer-bottom{
        grid-template-columns: 90% !important;
    }
    .top-score{
        grid-template-columns: 90% !important;
    }
    .card1,.card2{
        margin-left: 0;
    }

    .section-5{
        height: 150vh;
    }

    .news-btn{
        grid-template-columns: 90% !important;
    }

    .news-img{
        top: 560vh;
    }
} 

/* Large */
@media only screen and (min-width: 576px) and (max-width: 800px) {
    .nav-item a{
        font-size: 1rem;
        line-height: 60px;
    }

    .section-1-item > h1{
        margin-top: 20%;
        font-size: 3rem;
    }
    .section-1-item > h3{
        font-size: 1.2rem;
    }
    .section-1-item > a{
        padding: 0px 40px;
        font-size: 1rem;
        font-weight: 600;
        line-height: 50px;
    }

    .carousel-container{
        grid-template-columns: 90% !important;
    }

    .section-3 > .display-grid-2{
        grid-template-columns: 10% 90%;
    }

    .section-3-item h1{
        font-size: 1.8rem;
    }
    .section-3-item h2{
        font-size: 1rem;
    }
    
    .timeline-container{
        padding: 10px 0;
        padding-left: 20px;
    }

    .news{
        margin-left: 10%;
        grid-template-columns: 90% !important;
    }

    .news-content > h3{
        font-size: 0.9rem;
        width: 100%;
    }
    
    .news-content > h1{
        font-size: 2rem;
    }
    
    .news-content > p{
        font-size: 0.8rem;
    }

    .subs-btn > a{
        padding: 10px 30px;
    }  

    .footer-bottom{
        grid-template-columns: 90% !important;
    }

    .footer{
        bottom: -560vh;
    }

    .top-score{
        grid-template-columns: 90% !important;
    }

    .card1,.card2{
        margin-left: 0;
    }

    .news-btn{
        grid-template-columns: 90% !important;
    }

    .news-btn > *{
        margin-top: 20px !important;
    }

    .news-img{
        top: 570vh;
    }
}
 
@media only screen and (min-width: 801px) and (max-width: 1200px) {
    .footer{
        bottom: -510vh;
    }
}
